#
#
# Example 13:   Finding normal subgroups of even order
#
# First group:   S_30 wr S_7 < S_210
#
SetInfoLevel(InfoFindEvenNormal,3);
n := 7;
k := 30;
w := WreathProductImprimitiveAction(SymmetricGroup(n),SymmetricGroup(k));
let("x",PseudoRandom(SymmetricGroup(n*k)));
let("l",List([1..30],i->PseudoRandom(w)^x));
ww := Group(l);
let("r",FindEvenNormalSubgroup(ww));
RecFields(r);
Orbits(Group(r.Ngens),[1..210],OnPoints);
#
#
# Second group:    3rd maximal subgroup of M24:   2^4:A_8 < Sym(24)
#
;
gens := AtlasGenerators("M24",1).generators;
s := AtlasStraightLineProgram("M24",3).program;
hgens := ResultOfStraightLineProgram(s,gens);
h := Group(hgens);
List(NormalSubgroups(h),Size); 
time;
let("r",FindEvenNormalSubgroup(h)); 
time;
StabilizerChain(Group(r.Ngens));
#
#
# Third group:    2.Suz, find the center!
#
;
gens := AtlasGenerators("2.Suz",1).generators;
g := Group(gens);                             
r := FindEvenNormalSubgroup(g);
time;
Size(Group(r.Ngens));
gens := AtlasGenerators("2.Suz",2).generators;
g := Group(gens);                             
r := FindEvenNormalSubgroup(g);
time;
Size(Group(r.Ngens));
